Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::internal::ClauseState Class Reference

The accumulated state passed between Clauses that ultimately results in a new Binding. More...

`#include <sauce/internal/clause.h>`

## Public Member Functions
| ClauseState (Bindings< ImplicitBindings > &bindings, PendingThrower &pendingThrower)
void | bind (OpaqueBindingPtr pendingBinding)
void | bindProvider (OpaqueBindingPtr providerBinding)
void | setDynamicName (std::string const name)
void | bindDynamicDependencyName (unsigned int position, std::string const name)
template<typename Exception >
void | throwLater ()
void | clearException ()

## Detailed Description

The accumulated state passed between Clauses that ultimately results in a new Binding.

The documentation for this class was generated from the following file:

- sauce/internal/clause.h